- Qt 5.5
- Qt NFC
- QML Types
- NearField QML Type
- Qt 5.5.1 Reference Documentation

# NearField QML Type

Provides access to NDEF messages stored on NFC Forum tags. More...

Import Statement: | import QtNfc 5.2
Since: | Qt 5.2

- List of all members, including inherited members

## Properties

- filter : list<NdefFilter>
- messageRecords : list<NdefRecord>
- orderMatch : bool
- polling : bool

## Signals

- tagFound()
- tagRemoved()

## Detailed Description

The NearField type can be used to read NDEF messages from NFC Forum tags. Set the filter and orderMatch properties to match the required NDEF messages. Once an NDEF message is successfully read from a tag the messageRecords property is updated.

Note: For platforms using neard, filtering is currently not implemented. For more information on neard see QNearFieldManager.

        NearField {
            filter: [ NdefFilter { type: "U"; typeNameFormat: NdefRecord.NfcRtd; minimum: 1; maximum: 1 } ]
            orderMatch: false

            onMessageRecordsChanged: displayMessage()
        }

See also NdefFilter, NdefRecord, QNearFieldManager, QNdefMessage, and QNdefRecord.

## Property Documentation

filter : list<NdefFilter>

This property holds the NDEF filter constraints. The messageRecords property will only be set to NDEF messages which match the filter. If no filter is set, a message handler for all NDEF messages will be registered.

Note: Filtering is not supported when using neard.

QNearFieldManager::registerNdefMessageHandler()

messageRecords : list<NdefRecord>

This property contains the list of NDEF records in the last NDEF message read.

orderMatch : bool

This property indicates whether the order of records should be taken into account when matching messages. This is not supported when using neard.

polling : bool

This property indicates if the underlying adapter is currently in polling state. If set to `true` the adapter will start polling and stop polling if set to `false`.

Note: On platforms using neard, the adapter will stop polling as soon as a tag has been detected. For more information see QNearFieldManager.

This QML property was introduced in Qt 5.5.

## Signal Documentation

tagFound()

This signal will be emitted when a tag has been detected.

This QML signal was introduced in Qt 5.5.

tagRemoved()

This signal will be emitted when a tag has been removed.

This QML signal was introduced in Qt 5.5.